Page MenuHomePhabricator

[Task] Delete WikidataQuality* gerrit repositories
Closed, ResolvedPublic

Description

The repositories:

  • mediawiki/extensions/WikidataQuality
  • mediawiki/extensions/WikidataQualityConstraints
  • mediawiki/extensions/WikidataQualityExternalValidation

Have been renamed to use the Wikibase prefix. So the old ones can be deleted.

Details

Related Gerrit Patches:

Event Timeline

hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added subscribers: hashar, JanZerebecki, demon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2015, 2:31 PM
demon added a comment.Jun 23 2015, 3:36 PM

Renaming repos is a pain in the ass. I did it once. No. Never again.

JanZerebecki changed the task status from Open to Stalled.Jun 23 2015, 4:26 PM

Old repos still have 1 review/discussion open, that needs to finish first, before we can delete them.

@daniel Do you think its fine to delete the old repos and thus loose past review comments?

Renaming repos is a pain in the ass. I did it once. No. Never again.

Do you have notes / doc ? I don't mind suffering the pain :-D

@JanZerebecki yea, nothing essential there, I think

Lydia_Pintscher changed the task status from Stalled to Open.Jun 26 2015, 11:28 AM
Lydia_Pintscher triaged this task as Medium priority.
Lydia_Pintscher set Security to None.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.
JanZerebecki renamed this task from Rename WikidataQuality* changes to WikibaseQuality* to Delete WikidataQuality*.Jun 26 2015, 12:38 PM
JanZerebecki updated the task description. (Show Details)

Ok that last one was moved to the new repo, so the old repos are not needed anymore.

Amire80 added a subscriber: Amire80.

I moved my i18n fixes to the new repositories, and as far as I can see, the WikidataQuality* repos don't have any more open patches.

Also adding translatewiki.net tag, to make sure that it was moved there as well.

Lydia_Pintscher renamed this task from Delete WikidataQuality* to [Task] Delete WikidataQuality* gerrit repositories.Aug 17 2015, 4:22 PM

Marked as read only this morning to avoid people submitting patches accidentally

@demon can you take care of deleting the three repositories from Gerrit please?

mediawiki/extensions/WikidataQuality
mediawiki/extensions/WikidataQualityConstraints
mediawiki/extensions/WikidataQualityExternalValidation

Thx!

demon claimed this task.Jan 6 2016, 8:11 AM

Change 264306 had a related patch set uploaded (by Chad):
Remove a couple of repositories from the meta repo

https://gerrit.wikimedia.org/r/264306

Change 264306 merged by Chad:
Remove a couple of repositories from the meta repo

https://gerrit.wikimedia.org/r/264306

demon closed this task as Resolved.Jan 15 2016, 6:50 PM